{"swagger":"2.0","info":{"description":"This is a sample API","version":"1.0.0","title":"AAFP API","contact":{"email":"you@your-company.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"public","description":"Operations are publicly available"}],"securityDefinitions":{"cookieAuth":{"type":"apiKey","in":"header","name":"SESSION"}},"security":[{"cookieAuth":[]}],"paths":{"/claim-credit/search-context":{"get":{"tags":["public"],"summary":"get current user context","operationId":"search-context","description":"return the logged in user context. A session cookie will be sent. If the session is null\nor invalid, response should be 403\n","security":[{"cookieAuth":[]}],"produces":["application/json"],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/user"}}},"400":{"description":"bad input parameter"},"401":{"description":"invalid session provided"}}}},"/claim-credit/report":{"post":{"tags":["public"],"summary":"report credit on a CME","parameters":[{"in":"body","name":"user","description":"The user to create.","schema":{"$ref":"#/definitions/report"}}],"operationId":"report","description":"api used to report a credit for a logged user. A session cookie will be sent. If the session is null\nor invalid, response should be 403\n","security":[{"cookieAuth":[]}],"produces":["application/json"],"responses":{"200":{"description":"search results matching criteria","schema":{"type":"array","items":{"$ref":"#/definitions/assessment"}}},"400":{"description":"bad input parameter"},"401":{"description":"invalid session provided"}}}}},"definitions":{"user":{"type":"object","required":["AafpId","Email","purchasedCMEs","transcriptRecords"],"properties":{"AafpId":{"type":"string","example":9503774},"Email":{"type":"string","example":"coveocrawler@aafp.mailinator.com"},"FullName":{"type":"string","example":"Coveo Crawler"},"IsMember":{"type":"boolean","example":true},"PurchasedSkus":{"type":"array","items":{"$ref":"#/definitions/PurchasedSku"}},"ReportedCredits":{"type":"array","items":{"$ref":"#/definitions/ReportedCredit"}}}},"PurchasedSku":{"type":"object","required":["Sku"],"properties":{"Sku":{"type":"string","format":"string","example":"mdse12345"}}},"ReportedCredit":{"type":"object","required":["id"],"properties":{"Id":{"type":"integer","example":30354251},"ActivityNumber":{"type":"integer","example":93489},"PrescribedCredits":{"type":"number","format":"float","example":21.0},"ElectiveCredits":{"type":"number","format":"float","example":8.25},"SessionNumber":{"type":"integer","example":5}}},"assessment":{"type":"object","properties":{"CreditId":{"type":"number","format":"integer","example":24},"AssessmentUrl":{"type":"string","example":"https://www.aafp.org"}}},"report":{"type":"object","required":["ActivityNumber","ElectiveCredits","ParticipationBeginDate","ParticipationEndDate","PrescribedCredits","SessionNumber"],"properties":{"ActivityNumber":{"type":"integer","example":92709},"ElectiveCredits":{"type":"number","format":"float","example":21.0},"ParticipationBeginDate":{"type":"string","format":"date","example":"2022-03-29"},"ParticipationEndDate":{"type":"string","format":"date","example":"2022-03-29"},"PrescribedCredits":{"type":"number","format":"float","example":21.0},"SessionNumber":{"type":"integer","example":2}}}},"host":"virtserver.swaggerhub.com","schemes":["https"],"basePath":"/AAFP/AAFPAPI/1.0.0"}